
# ------------------------------------------------
# 
# Lab05c - Using Configuro
#
# COPY_AND_PASTE.mak file
#
# Copy and paste the specified sections into 
# your current makefile
#
# ------------------------------------------------


# --------------------------------
# ------ Configuro vars ----------
# --------------------------------
CONFIG := app_cfg
XDCROOT := $(XDC_INSTALL_DIR)
CONFIGURO := $(XDCROOT)/xs xdc.tools.configuro
export XDCPATH:=$(XDCROOT)/packages;$(XDCROOT)
TARGET   := gnu.targets.Linux86
PLATFORM := host.platforms.PC


# ------------------------------------------------
# ----- always keep these intermediate files -----
# ------------------------------------------------
.PRECIOUS : $(CONFIG)/linker.cmd $(CONFIG)/compiler.opt



# ----------------------------------
# ----- Configuro Rule (.cfg) ------
# ----------------------------------

%/linker.cmd %/compiler.opt : %.cfg 
	@$(CONFIGURO) -c $(CC_ROOT) -t $(TARGET) -p $(PLATFORM) -o $(CONFIG) $<
	@echo "Configuro has completed; it's results are in $(CONFIG) " ; echo

# following rule is needed if no app_cfg.cfg file is avaialable - otherwise gMake crashes
%.cfg :
	touch $(CONFIG).cfg


# -------------------------------------------------
# --- delete the implicit rules for object files --
# -------------------------------------------------
%.o : %.c



# END OF FILE

